# -*- mode: RPM-SPEC; tab-width: 8; fill-column: 70; -*- 

%define _altdata_dir %_datadir/alterator

Name: alterator-tzone
Version: 1.0
Release: alt1.M41.4

%add_findreq_skiplist %_datadir/install2/preinstall.d/*

Provides: alterator-timezone = %version
Obsoletes: alterator-timezone
Requires: libshell >= 0.0.1-alt4 alterator-sh-functions

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch:	noarch

Source:%name-%version.tar

Summary: alterator module for timezone setup
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 3.0-alt6 glibc-timezones alterator-sh-functions >= 0.3-alt2 libshell
Conflicts: alterator-fbi < 2.8-alt1
Conflicts: alterator-lookout < 1.2-alt1

BuildPreReq: alterator >= 3.2-alt3, alterator-fbi >= 2.2-alt2, alterator-l10n
# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for timezone setup

%prep
%setup -q

%build
%make_build

%install
%makeinstall

%find_lang %name
%find_lang --append --output %name.lang %name-tz

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_datadir/alterator/applications/*
%_datadir/alterator/ui/*/
%_datadir/alterator/help/*/*
%_datadir/alterator/templates/*
%_datadir/alterator/design/*/*
%_alterator_backend3dir/*
%_datadir/%name
%_datadir/install2/preinstall.d/*


%changelog
* Mon Dec 08 2008 Vladislav Zavjalov <slazav@altlinux.org> 1.0-alt1.M41.4
- rename help in desktop: tzone -> timezone

* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 1.0-alt1.M41.3
- use help from new l10n

* Tue Dec 02 2008 Vladislav Zavjalov <slazav@altlinux.org> 1.0-alt1.M41.2
- update help (by azol@), rename help timezone->tzone

* Fri Sep 12 2008 Stanislav Ievlev <inger@altlinux.org> 1.0-alt1.M41.1
- build for 4.1

* Fri Sep 12 2008 Stanislav Ievlev <inger@altlinux.org> 1.0-alt2
- fix country names

* Fri Aug 22 2008 Stanislav Ievlev <inger@altlinux.org> 1.0-alt0.M41.1
- build for 4.1

* Fri Aug 22 2008 Stanislav Ievlev <inger@altlinux.org> 1.0-alt1
- update help (cas@)
- use module.mak
- remove translations from .desktop file

* Tue Jul 01 2008 Stanislav Ievlev <inger@altlinux.org> 0.9-alt3
- update i18n declarations for latest alterator

* Thu May 29 2008 Stanislav Ievlev <inger@altlinux.org> 0.9-alt2
- update to alterator_api_version 1

* Tue May 13 2008 Stanislav Ievlev <inger@altlinux.org> 0.9-alt1
- replace card-index with single form
- remove po files
- use write_string_param

* Sat Apr 19 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt4
- merge po

* Thu Apr 17 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt3
- join to common dictionary project

* Thu Apr 17 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt2
- remove html-messages

* Tue Mar 11 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt1
- remove template-*

* Tue Feb 05 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt3
- remove -x from backend

* Mon Jan 28 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt2
- add translation fallback support for timezone lists
- use libshell and alterator-sh-functions

* Thu Jan 17 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt1
- update to new help system

* Fri Oct 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt8
- Add Ukrainian translation to desktop file

* Thu Sep 20 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt7
- Add installer hooks

* Mon Aug 20 2007 Alexey Gladkov <legion@altlinux.ru> 0.6-alt6
- Add gettext to requires.

* Wed Aug 01 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt5
- move utc setup from datetime to this module

* Tue Jul 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt4
- a separate step in installer now

* Fri Jul 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt3
- fix country name

* Fri Jul 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt2
- fix timezone translation

* Wed Jun 13 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt1
- add desktop file
- obsolete alterator-timezone
- use std function woo-list/name+label

* Fri Jun 08 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2.5
- minor makefile improvements
- help improvements from kirill@

* Wed Jun 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2.4
- add ui
- add help

* Tue Jun 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2.3
- sync clock on timezone update (need for non-gmt bios time)

* Tue Jun 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2.2
- fix translation in the interface
- add i18n for the timezones

* Mon Jun 04 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2.1
- zone listing optimization (reduce number of grep operations)
- add i18n for the countries
 
* Wed May 30 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt2
- Add alternative path for zone.tab and iso3166.tab .

* Tue May 29 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt1
- Rename files *tzone* -> *timezone*.
- Add conflict to alterator-timezone.

* Fri May 25 2007 Alexey Gladkov <legion@altlinux.ru> 0.1-alt1
- Initial release
